Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.runtime
Class InMemorySavepointManager

    java.lang.Object
      |
      +--kodo.runtime.InMemorySavepointManager

All Implemented Interfaces:
  SavepointManager

public class InMemorySavepointManager
extends Object
implements SavepointManager

A `SavepointManager` implementation which stores all data in memory.

Since:
  3.4

Constructor Summary
`InMemorySavepointManager()`

Method Summary
`boolean` | `getPreFlush()` Return whether to call `KodoPersistenceManager.preFlush()` when a savepoint is set.
`KodoSavepoint` | `newSavepoint(String name, KodoPersistenceManager pm)` Return a new savepoint for the given name, which may be null.
`void` | `setPreFlush(boolean preFlush)` Set whether to call `KodoPersistenceManager.preFlush()` when a savepoint is set.
`boolean` | `supportsIncrementalFlush()` Cannot incrementally flush as saved fields may become out of synch.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InMemorySavepointManager

    public InMemorySavepointManager()

Method Detail

### getPreFlush

    public boolean getPreFlush()

  Return whether to call `KodoPersistenceManager.preFlush()` when a savepoint is set. While this will allow for tracking of newly embedded fields, it has the side effect of going through pre-flush operations.

### setPreFlush

    public void setPreFlush(boolean preFlush)

  Set whether to call `KodoPersistenceManager.preFlush()` when a savepoint is set. While this will allow for tracking of newly embedded fields, it has the side effect of going through pre-flush operations.

### newSavepoint

    public KodoSavepoint newSavepoint(String name,
                                      KodoPersistenceManager pm)

  Description copied from interface: `SavepointManager`
  Return a new savepoint for the given name, which may be null.
  Specified by:
    `newSavepoint` in interface `SavepointManager`

### supportsIncrementalFlush

    public boolean supportsIncrementalFlush()

  Cannot incrementally flush as saved fields may become out of synch.
  Specified by:
    `supportsIncrementalFlush` in interface `SavepointManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.